using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {				
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM DPM 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Unmarked DPM milita man",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("pm1dpm.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("pm1dpm.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM DPM 1 (Marked)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "DPM militia with NEPM patch",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("pmmarked.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("pmmarked.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM DEPM Short Sleeves",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "summer is here",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("pm2marked.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("pm2marked.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Black)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Not camo.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("NEPMpasgt.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NEPMpasgt.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Vest Upper",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM Vest with radio and bodycamera",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("nepmvestup.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nepmvestup.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Vest Lower",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Lower NEPM vest with patches and pouches",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("nepmvestdown.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nepmvestdown.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                 OriginalItem = ModAPI.FindSpawnable("AK-47"),
                 NameOverride = "Kalashnikov AK-74M",
                 DescriptionOverride = "Russian made assault rifle.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("AKDone.png", 9f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AKDone.png", 9f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/marksmansrifle.wav"),
                     };
                 }
             }
             ); ;
            ModAPI.Register(
                new Modification()
                {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "AR-15 Semi-Automatic Rifle",
                 DescriptionOverride = "American made rifle. Tacticool",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("AR15Done.png", 10f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR15Done.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/rifle.mp3"),
                     };
                 }
             }
             ); ;
            ModAPI.Register(
                new Modification()
                {
                 OriginalItem = ModAPI.FindSpawnable("G1 Submachine Gun"),
                 NameOverride = "MAC-10",
                 DescriptionOverride = "Spin da block.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("MACDone.png", 14f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MACDone.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.095f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smg.mp3"),
                     };
                 }
             }
             ); ;
            ModAPI.Register(
                new Modification()
                {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "GALIL Rifle",
                 DescriptionOverride = "Cheap gun used by alot of NEPM.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("GALILB.png", 14f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GALILB.png", 14f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.06f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/marksmanrifle.wav"),
                     };
                 }
             }
             ); ;
	ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Vest Upper 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM Vest but better.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("nepmvestup2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nepmvestup2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
      ModAPI.Register(
              new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Vest Lower 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Lower NEPM vest with radio and pouches",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("nepmvestdown2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nepmvestdown2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM White Shirt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "He forgot to put his camo on. Stupid idiot.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("whiteshirt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("whiteshirt.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM Black Shirt (Blank)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Budget cuts means he doesnt have a camo top. But he doesn't mind.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("blackshirt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("blackshirt.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM Black Shirt (Marked)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Budget cuts means he doesnt have a camo top. But he does have a patch!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("blackshirt2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("blackshirt2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM Black Shirt (5.11)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Budget cuts means he doesnt have a camo top. So instead he got a drippy gucci deluxe ultra mega super 5.11 shirt!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("5.11shirt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("5.11shirt.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Alternate)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Not camo. Looks like a soup can.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("PASGT.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PASGT.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Alternate, straps)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Not camo. Looks like a soup can. That WW2 look.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("PASGT_Loose_Strap.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PASGT_Loose_Strap.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Goggles)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Arabia!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("PASGT_Goggle_Cover.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PASGT_Goggle_Cover.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Goggles, Tac team)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Arabia!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("TacGOGGLE.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TacGOGGLE.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Goggles, Tac team lead)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Arabia!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("TacLeadGOGGLE.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TacLeadGOGGLE.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Tac team)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Converge on my vector.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("TacPASGT.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TacPASGT.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Tac team lead)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "TARGET SPOTTED!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("TacLead.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TacLead.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Tod's Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "STOP. STEALING. MY DAMN. HELMET!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("TODSHELM.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TODSHELM.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Tac team 2)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Converge on my vector.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("TacPASGT2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TacPASGT2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Red Team)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "We arent soviets damnit!.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("PASGT_Red_Tape.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PASGT_Red_Tape.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (White Team)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Move out, move out! White team has entered.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("PASGT_White_Tape.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PASGT_White_Tape.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Christian)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Hmm... I see no regs broken.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("PASGT_God_Bless.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PASGT_God_Bless.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Marked)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM and proud baby!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MarkPASGT.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarkPASGT.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Marked)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM and proud baby!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MarkPASGT2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MarkPASGT2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Missed)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "YOU MISSED!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MissedPASGT.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MissedPASGT.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Hit)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "He didnt miss",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("HitPASGT.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HitPASGT.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Not camo. Also not mine. Hi Sturm.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("cap_black.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cap_black.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Vest Upper 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM Vest with hella pouches.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("nepmvestup3.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nepmvestup3.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Vest Lower 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM Vest with hella pouches.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("nepmvestdown3.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nepmvestdown3.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM Green T-Shirt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tshirt but green bean.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("greenshirt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("greenshirt.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM DPM Ski Mask",
                    NameToOrderByOverride = " !",
                    DescriptionOverride = "Eee i ee i oh",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("DPMmask.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("DPMmask.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Negotiator Vest Upper (Bodycamera)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM Vest used by negotiators.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("bvestup1.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bvestup1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM Negotiator Vest Upper",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM Vest used by negotiators and reserve staff..",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("bvestup2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bvestup2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Negotiator Vest Lower",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "NEPM Negotiator / Reserve Staff vest.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("bvestdown.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bvestdown.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM DPM With Gloves",
                    NameToOrderByOverride = " !",
                    DescriptionOverride = "Eee i ee i oh",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("DPMgloves.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("DPMgloves.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM Multicam Black",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tacticool!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MCB.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MCB.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM Multicam Black (Gloves)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tacticool! Now with gloves!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MCBg.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MCBg.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM Multicam Black (Tactical Team)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tacticool! Now with balaclavas and smoke bombs!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MCBtac.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MCBtac.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "NEPM PASGT (Military Police)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Hey nerdssss! Breaking any regssss?",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("mphelm.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mphelm.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "VSA Soldier",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "WOAH! Communists!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAOou3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("VSAOou3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "VSA Soldier (Half Mask)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "WOAH! Communists! But with a mask!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAmask.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("VSAmask.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "VSA Soldier (Black Ski Mask)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "WOAH! Communists! Now with a full mask.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAuo.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("VSAuo.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "VSA Soldier (Green Ski Mask)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "WOAH! Communists! Now with a full mask, in green.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAuo2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("VSAuo2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "VSA Vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "WHO GAVE THE COMMUNISTS VEST, GOD DAMNIT.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAdown.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSAdown.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "VSA Vest (Radio)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "WHO GAVE THE COMMUNISTS RADIOS AND VESTS, GOD DAMNIT.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAdownr.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSAdownr.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "VSA Vest Upper",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Goddamnit.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAup.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSAup.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Medic/Arctic Vest Upper",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Used by all factions' medics, and if it snows they might use it.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("med1.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("med1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Medic/Arctic Vest Lower",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Used by all factions, medic vest, doubles as an arctic vest. Has some yummy supplies in a big red pouch.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("med2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("med2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "VSA PASGT",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "VSA green PASGT, could be used by NEPM. They stole it from NEPM, anyhoo.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("greenPASGT.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("greenPASGT.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "VSA PASGT (Alternate)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "VSA green PASGT, could be used by NEPM. They stole it from NEPM, anyhoo.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("greenPASGT2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("greenPASGT2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "NEPM (No Shirt, DPM)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "WHAT DID I JUST SAY, JIMMY. PUT A DAMN SHIRT ON.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("noshirt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("noshirt.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Tod's M4",
                 DescriptionOverride = "IT SAYS TOD'S M4. ONLY TOD CAN USE IT, GODDAMNIT.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("TODSM4.png", 10f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TODSM4.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/rifle.mp3"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "VSA Green cap, also used by NEPM.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("cap_green.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cap_green.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green PASGT (Goggles)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "VSA Green helmet, now with goggles! As with all VSA Green stuff, it's stolen from NEPM and can be used by NEPM.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAgoggle.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSAgoggle.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green PASGT (Goggles, alternate)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "VSA Green helmet, now with goggles! As with all VSA Green stuff, it's stolen from NEPM and can be used by NEPM.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAgogglesA.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSAgogglesA.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green PASGT (Goggles, alternate, marked.)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "VSA Green helmet, now with goggles! As with all VSA Green stuff, it's stolen from NEPM and can be used by NEPM. Now says V.S.A!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAgogglesM.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSAgogglesM.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "VSA Worker",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Abducted from somewhere, forced to work..",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("worker.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("worker.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Medic PASGT",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Medic PASGT, used by all factions!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("medichelm.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("medichelm.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "VSA Beret",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Green.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAberet2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSAberet2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "VSA Officer's Beret",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "OFFICER ON DECK! RED!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("VSAberet.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VSAberet.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
          ModAPI.Register(
                new Modification()
                {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock 17",
                 DescriptionOverride = "First thing I made in paint.NET. Used by NEPM, VSA, anyone really.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("glock.png", 22f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glock.png", 22f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smallpistol.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Watch",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Watch! Tells the time and stuff.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("watch.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("watch.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Battle Belt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "might buy some pouches for my belt idk",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("tac belt 1.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tac belt 1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Black FAST Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Zamn! Tacticooooool!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("FAST.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FAST.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Black MICH Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Zamn! Tacticooooool!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MICH.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MICH.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green MICH Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Zamn! Tacticooooool!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MICHg.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MICHg.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green FAST Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Zamn! Tacticooooool!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("FASTg.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FASTg.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
        } 
    }
	
}